A new error started showing up in SQL Server 2008 SP2 installations: The database cannot be opened because it is version 661. This server supports version 662 and earlier. A downgrade path is not supported. 661 sure is earlier than 662, so what seems Read More...